/*******************************************************************************
**	File:			ioctls.h
**	Author:			Hasan Jamal
**	
**
**	Description:
**		ioctls declaration include file
**
**	Copyright (c) 2012, CTI, Connect Tech Inc. All Rights Reserved.
**
**	THIS IS THE UNPUBLISHED PROPRIETARY SOURCE CODE OF CONNECT TECH INC.
**	The copyright notice above does not evidence any actual or intended
**	publication of such source code.
**
**	This module contains Proprietary Information of Connect Tech, Inc
**	and should be treated as Confidential.
******************************************************************************/

#ifndef _comsync_drv_ioctls_h
	#define _comsync_drv_ioctls_h

#define EVENT_NONE            0x00000000
#define EVENT_ALL             0xFFFFFFFF

#define EVENT_IDLE_RECVD      0x00000001
#define EVENT_ABORT           0x00000002  /* HDLC/SDLC Abort or Go Ahead sequence */
#define EVENT_RCC_UNDER       0x00000004
#define EVENT_PRE_SENT        0x00000008
#define EVENT_IDLE_SENT       0x00000010
#define EVENT_ABORT_SENT      0x00000020
#define EVENT_EOFM_SENT       0x00000040
#define EVENT_CRC_SENT        0x00000080
#define EVENT_TX_UNDER        0x00000100
#define EVENT_RI_FALL         0x00000200
#define EVENT_RI_RISE         0x00000400
#define EVENT_DCD_FALL        0x00000800
#define EVENT_DCD_RISE        0x00001000
#define EVENT_CTS_FALL        0x00002000
#define EVENT_CTS_RISE        0x00004000
#define EVENT_DSR_FALL        0x00008000
#define EVENT_DSR_RISE        0x00010000
#define EVENT_DPLL_DSYNC      0x00020000
#define EVENT_CRC             0x00040000
#define EVENT_SHORT_FR_CV     0x00100000
#define EVENT_OE       		   0x00200000
#define EVENT_PE              0x00400000
#define EVENT_FE              0x00800000
#define EVENT_BREAK           0x01000000

/* enhanced buffer event sources */
#define EVENT_RX_BUF_LOW      0x02000000
#define EVENT_TX_BUF_LOW      0x04000000
#define EVENT_RX_BUF_OVERRUN  0x08000000

#define LSET_PARITY_NONE   'n'
#define LSET_PARITY_EVEN   'e'
#define LSET_PARITY_ODD    'o'
#define LSET_PARITY_MARK   '1'
#define LSET_PARITY_SPACE  '0'

#define LSET_SFLOW_NONE  'n'
#define LSET_SFLOW_RX    'r'
#define LSET_SFLOW_TX    't'
#define LSET_SFLOW_RXTX  'b'

#define LSET_HFLOW_NONE        0x00
#define LSET_HFLOW_RTS_TOGGLE  0x01
#define LSET_HFLOW_DTR         0x02
#define LSET_HFLOW_CTS         0x08
#define LSET_HFLOW_DSR         0x10
#define LSET_HFLOW_RTS         0x80
#define LSET_HFLOW_DCD_RX_CTS_TX      0x20 // ESCC /DCD becomes receiver enable /CTS becomes transmitter enable


#define CTI_CMD_CODE      0x54A1  // see below

#define TIOGETPORTSET      __DIOTF(_DCMD_MISC, CTI_CMD_CODE + 0, BHN_PortSettings)  /* Get sync port settings */
#define TIOSETPORTSET      __DIOTF(_DCMD_MISC, CTI_CMD_CODE + 1, BHN_PortSettings)  /* Set sync port settings */
#define TIOHUNT            __DIOTF(_DCMD_MISC, CTI_CMD_CODE + 2, 0)  /* Start receiver hunt mode */
#define TIOLOOPBACK        __DIOTF(_DCMD_MISC, CTI_CMD_CODE + 3, 0)  /* loopback for dignostic purpose*/
#define TIOGETEVENT        __DIOTF(_DCMD_MISC, CTI_CMD_CODE + 4, int)  /* Get event mask */
#define TIOCSERGETMSR      __DIOTF(_DCMD_MISC, CTI_CMD_CODE + 5, unsigned char)  /* Get the MSR contents */
#define TIOSETCLRRTS	   	__DIOTF(_DCMD_MISC, CTI_CMD_CODE + 6, unsigned char)  /* Set/Clear RTS signal */	
#define TIOSETCLRDTR	   	__DIOTF(_DCMD_MISC, CTI_CMD_CODE + 7, unsigned char)  /* Set/Clear DTR signal */	
#define TIOSETCLRBRK	   	__DIOTF(_DCMD_MISC, CTI_CMD_CODE + 8, unsigned char)  /* Set/Clear break signal */	
#define TCIFLUSH				__DIOTF(_DCMD_MISC, CTI_CMD_CODE + 9, 0) /* Flush input buffer */
#define TCIOFLUSH				__DIOTF(_DCMD_MISC, CTI_CMD_CODE + 10, 0) /* Flush input and output buffer */
#define TCOFLUSH				__DIOTF(_DCMD_MISC, CTI_CMD_CODE + 11, 0) /* Flush output buffer */
#endif
